Skip to main content
PUT
/
api
/
v2
/
orders
/
webhooks
/
{webhookId}
cURL
curl -X PUT https://morimori.app/api/v2/orders/webhooks/WEBHOOK_ID \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated Webhook",
    "url": "https://example.com/webhook-v2"
  }'
{
  "data": {
    "id": 123,
    "name": "<string>",
    "url": "<string>",
    "isActive": true,
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API Key for external client access

Path Parameters

webhookId
integer
required

Webhook ID

Body

application/json
name
string

Webhook name

Maximum string length: 100
url
string<uri>

Webhook URL

Example:

"https://example.com/webhook"

Response

Updated successfully

data
object